Bug 4604 - [UPDATE REQUEST] nvidia-current 343.22
: [UPDATE REQUEST] nvidia-current 343.22
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Low normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-10-31 13:49 MSK by Eugene Shatokhin
Modified: 2014-11-11 17:36 MSK (History)
1 user (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
eugene.shatokhin: published+


Attachments
The list of supported GPUs (35.60 KB, text/plain)
2014-10-31 13:49 MSK, Eugene Shatokhin
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Eugene Shatokhin 2014-10-31 13:49:37 MSK
Created attachment 3400 [details]
The list of supported GPUs

nvidia-current driver was updated to version 343.22.

Note that not all GPUs supported by the version 340.x of the driver is supported by the version 343.22 too. See the attached file fot the list of supported GPUs.
Comment 1 Eugene Shatokhin 2014-10-31 13:55:02 MSK
Advisory: 
The "current" version of NVidia graphics drivers was updated to version 343.22.
Note that this is an experimental variant of such drivers. Generally, we recommend the users to run XFdrake and setup appropriate "long-lived" drivers instead.
Changes in this release compared to 340.24:
* Removed support for G8x, G9x, and GT2xx GPUs, and motherboard chipsets based on them. Ongoing support for new Linux kernels and X servers, as well as fixes for critical bugs, will be included in 340.* legacy releases through the end of 2019.
* Added support for the following GPUs: GeForce GTX 970, GeForce GTX 980, GeForce 830A, GeForce 810M
* Fixed a bug that caused disabled displays to be implicitly included in the target selection for some queries and assignments on the nvidia-settings command line interface, in the absence of any explicit target selection.
* Added a new attribute to the NV-CONTROL API to query the current utilization of the video decode engine.
* Fixed a bug where the Exchange Stereo Eyes setting in nvidia-settings didn't work in certain stereo configurations.
* Worked around a Unigine Heaven 3.0 shader bug which could cause corruption when tessellation is enabled by implementing an application profile that uses the "GLIgnoreGLSLExtReqs" setting. See the documentation for the __GL_IGNORE_GLSL_EXT_REQS environment variable for more details.
* Fixed a memory leak when destroying EGL surfaces.
* Added support for multiple simultaneous EGL displays.
* Fixed a bug that could cause nvidia-installer to unsuccessfully attempt to delete the directory containing precompiled kernel module interfaces, on packages prepared with --add-this-kernel.
* Updated nvidia-installer to log uninstallation to a separate file from the installation log, and to attempt uninstalling previous driver installations using the installer program from the previous installation, when available.
* Fixed a regression that prevented the internal stereo infrared emitter built into some 3D Vision monitors from working.
* Fixed a bug that could cause some Java-based OpenGL applications using JOGL to crash on startup on systems with Xinerama enabled.
* Fixed a bug that could prevent OpenGL Framebuffer Objects (FBOs) from being properly redrawn after a modeswitch.
* Fixed a memory leak that occurred when starting OpenGL applications.
* Fixed a bug that prevented the EDID-Like Data (ELD) of audio-capable displays from being updated when hotplugged/unplugged.
* Fixed a bug that caused Xid errors when using stereo mode 12 (HDMI 3D) on Quadro boards without an onboard stereo DIN connector.
* Fixed a video corruption issue for VDPAU decoding of VC-1 and WMV video streams utilizing range remapping on Maxwell GPUs.
* Fixed a "black window" bug in Ubuntu 14.04 when using the Xinerama and Composite extensions.
* Fixed a bug that caused the screen's contents to be shifted downward when a G-SYNC monitor is unplugged and replaced by a non-G-SYNC monitor.
* Fixed a bug that prevented G-SYNC from working when a G-SYNC monitor was unplugged and plugged back in without a modeset.
* Fixed a bug that could cause framelock status to be incorrectly reported in the nvidia-settings control panel on some multi-GPU framelock configurations.
* Improved the performance of OpenGL applications that request a large number of GPU mappings via the GL_NV_shader_buffer_load extension.
* Fixed a bug that could cause a system crash when killing applications that use NVIDIA GPUs on multiple-GPU systems with IOMMU functionality enabled.
* Fixed a bug that caused the NVIDIA kernel module to leak memory for DMA mappings on some configurations.
* Updated nvidia-installer to avoid writing to non-zero offsets of sysctl files in /proc/sys/kernel.
* Fixed a bug that prevented the "sync to vblank" setting from being honored for EGL applications.
* Fixed a bug that could cause some OpenGL programs to encounter out of memory during a mode switch.
* Fixed a bug that prevented the NVIDIA OpenGL driver from honoring the __GL_SHADER_DISK_CACHE_PATH environment variable.
* Added option UseSysmemPixmapAccel to control the use of GPU acceleration for X drawing operations on pixmaps allocated in system memory.
* Fixed a bug that could prevent 32-bit GPU-based applications from running correctly on 64-bit systems when using GPUs with very large memory-mapped I/O regions.
* Fixed a bug that could cause poor system performance and hangs when running large compute workloads on IOMMU-enabled systems.
* Fixed a bug that could cause a system crash when two or more processes try to load the nvidia-uvm driver.

Build lists:
i586:
https://abf.rosalinux.ru/build_lists/2326842
x86_64:
https://abf.rosalinux.ru/build_lists/2326843
Comment 2 Eugene Shatokhin 2014-10-31 14:18:56 MSK
Т.к. предполагается, что большая часть пользователей "nvidia-current" ставить не будет, ставлю низкий приоритет этому обновлению. 

"nvidia-current" - это, скорее, экспериментальный вариант драйверов. Поддержка более старых видеокарт оттуда убирается время от времени, так что использовать этот драйвер в качестве основного не всегда удобно и не рекомендуется. 

Подробности, инструкции по установке и т.д.: http://wiki.rosalab.ru/ru/index.php/Nvidia-current
Comment 3 Vladimir Potapov 2014-11-10 15:55:22 MSK
nvidia-current-343.22-4
http://abf-downloads.rosalinux.ru/rosa2014.1/container/2326842/i586/non-free/release/
http://abf-downloads.rosalinux.ru/rosa2014.1/container/2326843/x86_64/non-free/release/
******************************* Advisory ***********************
New version 343.22
******************************* Changelog **********************
 Removed support for G8x, G9x, and GT2xx GPUs, and motherboard chipsets based on them. Ongoing support for new Linux kernels and X servers, as well as fixes for critical bugs, will be included in 340.* legacy releases through the end of 2019.
* Added support for the following GPUs: GeForce GTX 970, GeForce GTX 980, GeForce 830A, GeForce 810M
* Fixed a bug that caused disabled displays to be implicitly included in the target selection for some queries and assignments on the nvidia-settings command line interface, in the absence of any explicit target selection.
* Added a new attribute to the NV-CONTROL API to query the current utilization of the video decode engine.
* Fixed a bug where the Exchange Stereo Eyes setting in nvidia-settings didn't work in certain stereo configurations.
* Worked around a Unigine Heaven 3.0 shader bug which could cause corruption when tessellation is enabled by implementing an application profile that uses the "GLIgnoreGLSLExtReqs" setting. See the documentation for the __GL_IGNORE_GLSL_EXT_REQS environment variable for more details.
* Fixed a memory leak when destroying EGL surfaces.
* Added support for multiple simultaneous EGL displays.
* Fixed a bug that could cause nvidia-installer to unsuccessfully attempt to delete the directory containing precompiled kernel module interfaces, on packages prepared with --add-this-kernel.
* Updated nvidia-installer to log uninstallation to a separate file from the installation log, and to attempt uninstalling previous driver installations using the installer program from the previous installation, when available.
* Fixed a regression that prevented the internal stereo infrared emitter built into some 3D Vision monitors from working.
* Fixed a bug that could cause some Java-based OpenGL applications using JOGL to crash on startup on systems with Xinerama enabled.
* Fixed a bug that could prevent OpenGL Framebuffer Objects (FBOs) from being properly redrawn after a modeswitch.
* Fixed a memory leak that occurred when starting OpenGL applications.
* Fixed a bug that prevented the EDID-Like Data (ELD) of audio-capable displays from being updated when hotplugged/unplugged.
* Fixed a bug that caused Xid errors when using stereo mode 12 (HDMI 3D) on Quadro boards without an onboard stereo DIN connector.
* Fixed a video corruption issue for VDPAU decoding of VC-1 and WMV video streams utilizing range remapping on Maxwell GPUs.
* Fixed a "black window" bug in Ubuntu 14.04 when using the Xinerama and Composite extensions.
* Fixed a bug that caused the screen's contents to be shifted downward when a G-SYNC monitor is unplugged and replaced by a non-G-SYNC monitor.
* Fixed a bug that prevented G-SYNC from working when a G-SYNC monitor was unplugged and plugged back in without a modeset.
* Fixed a bug that could cause framelock status to be incorrectly reported in the nvidia-settings control panel on some multi-GPU framelock configurations.
* Improved the performance of OpenGL applications that request a large number of GPU mappings via the GL_NV_shader_buffer_load extension.
* Fixed a bug that could cause a system crash when killing applications that use NVIDIA GPUs on multiple-GPU systems with IOMMU functionality enabled.
* Fixed a bug that caused the NVIDIA kernel module to leak memory for DMA mappings on some configurations.
* Updated nvidia-installer to avoid writing to non-zero offsets of sysctl files in /proc/sys/kernel.
* Fixed a bug that prevented the "sync to vblank" setting from being honored for EGL applications.
* Fixed a bug that could cause some OpenGL programs to encounter out of memory during a mode switch.
* Fixed a bug that prevented the NVIDIA OpenGL driver from honoring the __GL_SHADER_DISK_CACHE_PATH environment variable.
* Added option UseSysmemPixmapAccel to control the use of GPU acceleration for X drawing operations on pixmaps allocated in system memory.
* Fixed a bug that could prevent 32-bit GPU-based applications from running correctly on 64-bit systems when using GPUs with very large memory-mapped I/O regions.
* Fixed a bug that could cause poor system performance and hangs when running large compute workloads on IOMMU-enabled systems.
* Fixed a bug that could cause a system crash when two or more processes try to load the nvidia-uvm driver.
*************************************************
QA Verified